{% extends 'base.html.twig' %}

{% block title %}Campaign{% endblock %}

{% block stylesheets %}<style>
/**
 * The CSS shown here will not be introduced in the Quickstart guide, but shows
 * how you can use CSS to style your Element's container.
 */
.StripeElement {
  background-color: white;
  height: 40px;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid transparent;
  box-shadow: 0 1px 3px 0 #e6ebf1;
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
}

.StripeElement--focus {
  box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
  border-color: #fa755a;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}</style>
{% endblock %}

{% block body %}

    <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <h1 class="header center white-text light">{{ campaign.title }}</h1>
                <div class="row center">
                    <h5 class="header col s12 light">- Organisée par : {{ campaign.name }}</h5>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/8.jpg" alt="Titre de la campagne"></div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Participez en quelques secondes</h4>
                </div>
            </div>
            <!--   Form Section  -->
            <div class="card">
                <div class="card-content">
                    <div class="row">
                        <form action="{{path('payment_charge')}}" method="post" id="payment-form">
                            <input type="hidden" name="campaign_id" value="{{ campaign.id }}">
                            <h5 class="center">Votre identité</h5>
                            <div class="input-field col s12 l6">
                                <input id="email" type="email" name="email" class="validate">
                                <label for="email">Votre Email</label>
                            </div>
                             <div class="input-field col s12 l6">
                                <input id="name" type="text" name="name" class="validate">
                                <label for="name">Votre Nom</label>
                            </div>
                            <div class="input-field col s12 l12">
                                <input id="amount" type="number" name="amount" value="{{amount_participant|default(0) }}" class="validate">
                                <label for="amount">Votre participation</label>
                            </div>
                            <p>
                                <label>
                                    <input type="checkbox" />
                                    <span>Masquer mon identité auprès des autres participants</span>
                                </label>
                            </p>
                            <p>
                                <label>
                                    <input type="checkbox" />
                                    <span>Masquer le montant de ma participation auprès des autres participants</span>
                                </label>
                            </p>
                            <div class="clearfix"></div>
                            <h5 class="center">Paiement</h5>

                            <div class="form-row">
                                <label for="card-element">
                                Credit or debit card
                                </label>
                                <div id="card-element">
                                <!-- A Stripe Element will be inserted here. -->
                                </div>

                                <!-- Used to display form errors. -->
                                <div id="card-errors" role="alert"></div>
                            </div>

                            <div class="input-field col s12 l6">
                                <a href="#!" class="btn btn-large waves-effect waves-light grey col s12">Annuler</a>
                            </div>

                            <div class="input-field col s12 l6">
                                <button class="btn btn-large waves-effect waves-light pink lighten-1 col s12" type="submit" name="action">
                                    Participer
                                    <i class="material-icons right">euro_symbol</i>
                                </button>
                            </div>
                        
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}



{% block javascripts %}
<script src="https://js.stripe.com/v3/"></script>

<script>
// Create a Stripe client.
var stripe = Stripe('pk_live_YX9CJNHe4chNOxHFnJqxy4MV');

// Create an instance of Elements.
var elements = stripe.elements();

// Custom styling can be passed to options when creating an Element.
// (Note that this demo uses a wider set of styles than the guide below.)
var style = {
  base: {
    color: '#32325d',
    lineHeight: '18px',
    fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
    fontSmoothing: 'antialiased',
    fontSize: '16px',
    '::placeholder': {
      color: '#aab7c4'
    }
  },
  invalid: {
    color: '#fa755a',
    iconColor: '#fa755a'
  }
};

// Create an instance of the card Element.
var card = elements.create('card', {style: style});

// Add an instance of the card Element into the `card-element` <div>.
card.mount('#card-element');

// Handle real-time validation errors from the card Element.
card.addEventListener('change', function(event) {
  var displayError = document.getElementById('card-errors');
  if (event.error) {
    displayError.textContent = event.error.message;
  } else {
    displayError.textContent = '';
  }
});

function stripeTokenHandler(token) {
  // Insert the token ID into the form so it gets submitted to the server
  var form = document.getElementById('payment-form');
  var hiddenInput = document.createElement('input');
  hiddenInput.setAttribute('type', 'hidden');
  hiddenInput.setAttribute('name', 'stripeToken');
  hiddenInput.setAttribute('value', token.id);
  form.appendChild(hiddenInput);

  // Submit the form
  form.submit();
}

// Handle form submission.
var form = document.getElementById('payment-form');
form.addEventListener('submit', function(event) {
  event.preventDefault();

  stripe.createToken(card).then(function(result) {
    if (result.error) {
      // Inform the user if there was an error.
      var errorElement = document.getElementById('card-errors');
      errorElement.textContent = result.error.message;
    } else {
      // Send the token to your server.
      stripeTokenHandler(result.token);
    }
  });
});</script>
{% endblock %}